"use client"

import { useState } from "react"
import { Button } from "@/components/ui/button"

export function ViewNFTStatus() {
  const [isLoading, setIsLoading] = useState(false)

  const handleViewNFTStatus = async () => {
    setIsLoading(true)
    try {
      // This would be replaced with your actual contract interaction
      // to fetch and display NFT status
      alert("NFT status feature will be implemented here")
    } catch (error) {
      console.error("Error viewing NFT status:", error)
      alert("Failed to view NFT status. Please try again.")
    } finally {
      setIsLoading(false)
    }
  }

  return (
    <Button
      variant="outline"
      className="bg-green-500 text-white hover:bg-green-600 text-xs sm:text-sm md:text-base px-2 py-1 sm:px-3 sm:py-2 font-montserrat tracking-wide"
      onClick={handleViewNFTStatus}
      disabled={isLoading}
    >
      {isLoading ? "Loading..." : "View NFT Status"}
    </Button>
  )
}

